Package com.verisign.epp.codec.secdnsext.v10

## Class EPPSecDNSAlgorithm

- java.lang.Object
- - com.verisign.epp.codec.secdnsext.v10.EPPSecDNSAlgorithm

-     public class EPPSecDNSAlgorithm
      extends java.lang.Object

  http://www.ietf.org/rfc/rfc4034.txt
  A.1. DNSSEC Algorithm Types
  The DNSKEY, RRSIG, and DS RRs use an 8-bit number to identify the security algorithm being used. These values are stored in the "Algorithm number" field in the resource record RDATA. Some algorithms are usable only for zone signing (DNSSEC), some only for transaction security mechanisms (SIG(0) and TSIG), and some for both. Those usable for zone signing may appear in DNSKEY, RRSIG, and DS RRs. Those usable for transaction security would be present in SIG(0) and KEY RRs, as described in [RFC2931].

  DNSSEC Algorithm Types
  |  | Zone |
  Value | Algorithm [Mnemonic] | Signing | References
  ----- | -------------------- | --------- | ----------
  0 | reserved
  1 | RSA/MD5 [RSAMD5] | n | [RFC2537]
  2 | Diffie-Hellman [DH] | n | [RFC2539]
  3 | DSA/SHA-1 [DSA] | y | [RFC2536]
  4 | Elliptic Curve [ECC] |  | TBA
  5 | RSA/SHA-1 [RSASHA1] | y | [RFC3110]
  6 | DSA-NSEC3-SHA1 | y | [RFC5155]
  7 | RSASHA1-NSEC3-SHA1 | y | [RFC3110]
  8 | RSA/SHA-256 [RSASHA256] | y | [draft-ietf-dnsext-dnssec-rsasha256-14]
  10 | RSA/SHA-512 [RSASHA512] | y | [draft-ietf-dnsext-dnssec-rsasha256-14]
  13 | ECDSA Curve P-256 with SHA-256 | y | [draft-ietf-dnsext-ecdsa]
  14 | ECDSA Curve P-384 with SHA-384 | y | [draft-ietf-dnsext-ecdsa]
  252 | Indirect [INDIRECT] | n |
  253 | Private [PRIVATEDNS] | y |
  254 | Private [PRIVATEOID] | y |
  255 | reserved

  6 - 251 Available for assignment by IETF Standards Action.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DH` | Diffie Hellman key
    `static int` | `DSA` | DSA public key
    `static int` | `DSANSEC3SHA1` | DSA-NSEC3-SHA1
    `static int` | `ECC` | Elliptic Curve key
    `static int` | `ECDSAP256SHA256` | ECDSA Curve P-256 with SHA-256
    `static int` | `ECDSAP384SHA384` | ECDSA Curve P-384 with SHA-384
    `static int` | `INDIRECT` | Indirect keys; the actual key is elsewhere.
    `static int` | `PRIVATEDNS` | Private algorithm, specified by domain name
    `static int` | `PRIVATEOID` | Private algorithm, specified by OID
    `static int` | `RSAMD5` | RSA/MD5 public key (deprecated)
    `static int` | `RSASHA1` | RSA/SHA1 public key
    `static int` | `RSASHA1NSEC3SHA1` | RSASHA1-NSEC3-SHA1
    `static int` | `RSASHA256` | RSA/SHA256 public key
    `static int` | `RSASHA512` | RSA/SHA512 public key

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RSAMD5

          public static final int RSAMD5

      RSA/MD5 public key (deprecated)
      See Also:
        Constant Field Values

    - #### DH

          public static final int DH

      Diffie Hellman key
      See Also:
        Constant Field Values

    - #### DSA

          public static final int DSA

      DSA public key
      See Also:
        Constant Field Values

    - #### ECC

          public static final int ECC

      Elliptic Curve key
      See Also:
        Constant Field Values

    - #### RSASHA1

          public static final int RSASHA1

      RSA/SHA1 public key
      See Also:
        Constant Field Values

    - #### DSANSEC3SHA1

          public static final int DSANSEC3SHA1

      DSA-NSEC3-SHA1
      See Also:
        Constant Field Values

    - #### RSASHA1NSEC3SHA1

          public static final int RSASHA1NSEC3SHA1

      RSASHA1-NSEC3-SHA1
      See Also:
        Constant Field Values

    - #### RSASHA256

          public static final int RSASHA256

      RSA/SHA256 public key
      See Also:
        Constant Field Values

    - #### RSASHA512

          public static final int RSASHA512

      RSA/SHA512 public key
      See Also:
        Constant Field Values

    - #### ECDSAP256SHA256

          public static final int ECDSAP256SHA256

      ECDSA Curve P-256 with SHA-256
      See Also:
        Constant Field Values

    - #### ECDSAP384SHA384

          public static final int ECDSAP384SHA384

      ECDSA Curve P-384 with SHA-384
      See Also:
        Constant Field Values

    - #### INDIRECT

          public static final int INDIRECT

      Indirect keys; the actual key is elsewhere.
      See Also:
        Constant Field Values

    - #### PRIVATEDNS

          public static final int PRIVATEDNS

      Private algorithm, specified by domain name
      See Also:
        Constant Field Values

    - #### PRIVATEOID

          public static final int PRIVATEOID

      Private algorithm, specified by OID
      See Also:
        Constant Field Values